Cant install any of the rockaway releases, packages removed

  • 1
  • Problem
  • Updated 2 years ago
Trying to update our Skuid version in Production prior to our code deployment as need version 8 for new items being released.

But all links from https://skuid.secure.force.com/skuidreleases get an error that the app cannot be installed and looks like its been deleted.

As this could block our release this is very proplematic now.
Photo of Timothy Moore

Timothy Moore

  • 172 Points 100 badge 2x thumb
  • very annoyed

Posted 2 years ago

  • 1
Photo of J.

J., Official Rep

  • 7,470 Points 5k badge 2x thumb
Timothy,

Which version are you running currently in production and which version are you trying to install? Those packages are hosted on Salesforce and while trust.salesforce.com looks clean to me at the moment, if a particular link is correct but dead, we'll have to contact Salesforce.
Photo of Timothy Moore

Timothy Moore

  • 172 Points 100 badge 2x thumb
We currently have 7.27 and need to get to major version 8.15.15 as up have upgraded in sandboxes and done testing etc.
But all links for production installs for Rockaway releases get app cant be installed error
e.g. 8.15.15
https://saicompass.lightning.force.com/packagingSetupUI/ipLanding.app?apvId=04tG0000000LMYkIAO
Photo of J.

J., Official Rep

  • 7,470 Points 5k badge 2x thumb
OK, I just tried updating to 8.15.15 in a dev org, and it worked for me. I'm still just guessing here, but it could be something with your particular instance (my org is on na15). Which Salesforce instance are you on? One other trick we've used to get more useful error messages is reverting back to the old Salesforce Package Install UI. Grab the install link off the Skuid Releases page and change the "newui=1" querystring part to "newui=0":

https://login.salesforce.com/packaging/installPackage.apexp?newui=0&p0=04tG0000000LMYkIAO

It seems to run a little slower (and of course looks like the classic Salesforce UI), but it will sometimes give different error messages.
Photo of Timothy Moore

Timothy Moore

  • 172 Points 100 badge 2x thumb
We are on NA14, tried the classic url and getting an internal server error

An internal server error has occurred An error has occurred while processing your request. The salesforce.com support team has been notified of the problem. If you believe you have additional information that may be of help in reproducing or correcting the error, please contact Salesforce Support. Please indicate the URL of the page you were requesting, any error id shown on this page as well as any other related information. We apologize for the inconvenience.

Thank you again for your patience and assistance. And thanks for using salesforce.com!

Error ID: 1870716933-353736 (1050069301) 
Photo of Timothy Moore

Timothy Moore

  • 172 Points 100 badge 2x thumb
Logged ticket with Salesforce, response so far.

----

I checked the backend logs, the error that I'm seeing is the same as an investigation that was worked on by R&D.

It seems that when the package was published it was not replicated correctly in the live instance but was replicated in the backup. This is the reason why the App is showing as available in NA14 when I checked it.

I checked the related R&D investigation and saw that SKUID had submitted a case earlier.
Photo of Karen Waldschmitt

Karen Waldschmitt, Official Rep

  • 8,220 Points 5k badge 2x thumb
Timothy~

I wanted to check and see if you have received the emails Skuid support sent you yesterday regarding this issue. If not, please check your spam folder. 

Hope to get this resolved for you soon! 
Karen